Editor del Registro di sistema

Le informazioni relative alla configurazione del sistema vengono archiviate centralmente in un database gerarchico denominato Registro di sistema. È possibile utilizzare l'editor del Registro di sistema per aggiungere e modificare chiavi e valori del Registro di sistema, ripristinare il Registro di sistema da un backup o ai valori predefiniti e importare o esportare chiavi come riferimento o backup.

È inoltre possibile stampare il Registro di sistema e specificare quali account sono autorizzati a modificarlo.

Per ulteriori informazioni sul Registro di sistema, inclusi i concetti di base e la relativa protezione, vedere il sito Web relativo a Windows Server TechCenter all'indirizzo http://go.microsoft.com/fwlink/?LinkID=53495.

Configurare il Registro di sistema

Mantenere la sicurezza del Registro di sistema

Stampare tutto o una parte del Registro di sistema

Risorse sul Registro di sistema


Configurare il Registro di sistema

Modificare chiavi e valori

Connettersi al Registro di sistema

Ripristinare il Registro di sistema

Importare o esportare chiavi

Caricare o scaricare hive del Registro di sistema


Modificare chiavi e valori

  • Trovare una stringa, un valore o una chiave

  • Aggiungere una chiave del Registro di sistema

  • Aggiungere un valore a una voce chiave del Registro di sistema

  • Modificare un valore

  • Eliminare una chiave o un valore del Registro di sistema

  • Rinominare una chiave o un valore del Registro di sistema

  • Copiare il nome di una chiave del Registro di sistema


Trovare una stringa, un valore o una chiave

Per trovare o modificare qualsiasi voce nel Registro di sistema, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con l'operazione di ricerca di una stringa, di un valore o di una chiave del Registro di sistema.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Per trovare una stringa, un valore o una chiave

  1. Nell'editor del Registro di sistema scegliere Trova dal menu Modifica.

  2. Nella casella Trova digitare la stringa, il valore o la chiave che si desidera trovare.

  3. Selezionare la casella di controllo Chiavi, Valori, Dati o Stringa intera per specificare il tipo di ricerca desiderato e quindi fare clic su Trova successivo.

    Nota

    Per ripetere la ricerca, premere F3.


Aggiungere una chiave del Registro di sistema

Per trovare o modificare qualsiasi voce nel Registro di sistema, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con l'operazione di aggiunta di una chiave del Registro di sistema.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Per aggiungere una chiave del Registro di sistema

  1. Nell'editor del Registro di sistema fare clic sulla chiave al di sotto della quale si desidera aggiungere una nuova chiave.

  2. Scegliere Nuovo dal menu Modifica e quindi Chiave.

  3. Digitare un nome per la nuova chiave e quindi premere INVIO.


Aggiungere un valore a una voce chiave del Registro di sistema

Per trovare o modificare qualsiasi voce nel Registro di sistema, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con l'operazione di aggiunta di un valore a una voce chiave del Registro di sistema.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Per aggiungere un valore a una voce chiave del Registro di sistema

  1. Nell'editor del Registro di sistema fare clic sulla chiave o sulla voce a cui si desidera aggiungere il nuovo valore.

  2. Scegliere Nuovo dal menu Modifica e quindi il tipo di valore da aggiungere: Valore stringa, Valore binario, Valore DWORD (32 bit), Valore QWORD (64 bit), Valore multistringa o Valore stringa espandibile.

  3. Digitare un nome per il nuovo valore e quindi premere INVIO.

    Nota

    Quando si aggiunge un valore a una chiave del Registro di sistema, il nome e il tipo di dati del nuovo valore del Registro di sistema vengono salvati con i dati predefiniti. Per istruzioni su come modificare il valore predefinito, vedere Modificare un valore.


Modificare un valore

Per trovare o modificare qualsiasi voce nel Registro di sistema, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con l'operazione di modifica di un valore del Registro di sistema.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Per modificare un valore

  1. Nell'editor del Registro di sistema fare clic sulla voce che si desidera modificare.

  2. Scegliere Modifica dal menuModifica.

  3. In Dati valore digitare i dati relativi al valore e quindi fare clic su OK.

    Nota

    Per poter apportare modifiche a una chiave del Registro di sistema, è necessario disporre delle autorizzazioni appropriate. Per ulteriori informazioni sulle autorizzazioni e sulla sicurezza in questa versione di Windows, ricercare "Procedure consigliate per la sicurezza" in Guida e supporto tecnico.


Eliminare una chiave o un valore del Registro di sistema

Per trovare o modificare qualsiasi voce nel Registro di sistema, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con l'operazione di eliminazione di una chiave o di un valore del Registro di sistema.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Per eliminare una chiave o un valore del Registro di sistema

  1. Nell'editor del Registro di sistema fare clic sulla chiave o sulla voce che si desidera eliminare.

  2. Scegliere Elimina dal menu Modifica.

    Nota

    È possibile eliminare chiavi e valori dal Registro di sistema. Non è invece possibile eliminare una chiave predefinita, ad esempio HKEY_CURRENT_USER, o modificarne il nome.


Rinominare una chiave o un valore del Registro di sistema

Per trovare o modificare qualsiasi voce nel Registro di sistema, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con l'operazione di ridenominazione di una chiave o di un valore del Registro di sistema.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Per rinominare una chiave o un valore del Registro di sistema

  1. Nell'editor del Registro di sistema fare clic sulla chiave o sulla voce che si desidera rinominare.

  2. Scegliere Rinomina dal menu Modifica, digitare il nuovo nome e quindi premere INVIO.

    Nota

    Non è possibile rinominare le chiavi radice o il valore predefinito di una chiave.


Copiare il nome di una chiave del Registro di sistema

Per trovare o modificare qualsiasi voce nel Registro di sistema, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con l'operazione di copia del nome di una chiave del Registro di sistema.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Copiare il nome di una chiave del Registro di sistema

  1. Nell'editor del Registro di sistema fare clic sulla chiave che si desidera copiare e quindi scegliere Copia nome chiave dal menu Modifica.

  2. Incollare il nome della chiave del Registro di sistema in un'altra applicazione o in un altro documento.


Connettersi al Registro di sistema

Per gestire i Registri di sistema da postazione remota, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile procedere con una delle operazioni illustrate di seguito.

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Connettersi a un Registro di sistema in rete

Per connettersi a un Registro di sistema in rete

  1. Nell'editor del Registro di sistema scegliere Connetti a Registro di sistema in rete dal menu File.

  2. Nella finestra di dialogo Seleziona computer fare clic su Tipi di oggetto, selezionare l'oggetto specifico che si sta cercando, in genere Computer, e quindi fare clic su OK.

  3. Fare clic su Percorsi, specificare il percorso in cui si desidera eseguire la ricerca e quindi fare clic su OK.

  4. In Immettere il nome dell'oggetto da selezionare digitare il nome del computer al cui Registro di sistema si desidera connettersi e quindi fare clic su Controlla nomi.

  5. Quando il nome del computer viene risolto, fare clic su OK.

Ulteriori considerazioni

  • Per connettersi a un Registro di sistema remoto, non è necessario aver eseguito l'accesso come amministratori o come membri del gruppo Administrators nel proprio computer. È invece necessario disporre dei privilegi di amministratore per il computer remoto.

  • Per modificare un Registro di sistema remoto, è necessario essere connessi come amministratori o come membri del gruppo Administrators nel computer locale.

  • In entrambi i computer deve essere in esecuzione il servizio Registro di sistema remoto. Se tale servizio non è in esecuzione in uno dei computer, per poterlo avviare è necessario connettersi come amministratori o come membri del gruppo Administrators nel computer.

  • Le impostazioni dei criteri di rete possono impedire il completamento di questa procedura.

Disconnettersi da un Registro di sistema in rete

Per disconnettersi da un Registro di sistema in rete

  1. Nell'editor del Registro di sistema scegliere Disconnetti da Registro di sistema in rete dal menu File.

  2. Nella finestra di dialogo Disconnetti da Registro di sistema in rete fare clic sul nome del computer dal cui Registro di sistema si desidera disconnettersi e quindi fare clic su OK.


Ripristinare il Registro di sistema

Se particolari chiavi o valori della chiave del Registro di sistema HKLM\System\CurrentControlSet vengono eliminati o vengono loro assegnati valori non corretti, potrebbe essere necessario ripristinare il Registro di sistema per poter continuare a utilizzare il computer.

Per ripristinare il Registro di sistema

  1. Stampare queste istruzioni. Se sono visualizzate in Guida e supporto tecnico di Windows, fare clic sull'icona di stampa. Non saranno infatti più disponibili dopo aver arrestato il computer al passaggio 3.

  2. Aprire l'editor del Registro di sistema.

  3. Fare clic sul pulsante Start, scegliere l'icona verso destra e quindi Arresta il sistema.

  4. Avviare il computer. Quando viene visualizzato il messaggio Selezionare il sistema operativo da avviare, premere F8.

  5. Utilizzare i tasti di direzione per evidenziare l'opzione Ultima configurazione valida e quindi premere INVIO. Per poter utilizzare i tasti di direzione del tastierino numerico, è necessario che BLOCNUM sia disattivato.

  6. Utilizzare i tasti di direzione per evidenziare un sistema operativo e quindi premere INVIO.


Importare o esportare chiavi

Attenzione

La modifica non corretta del Registro di sistema potrebbe danneggiare gravemente il sistema. Prima di apportare modifiche nel Registro di sistema, è consigliabile eseguire il backup di tutti i dati importanti presenti nel computer.

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Esportare file del Registro di sistema

Per esportare tutto o una parte del Registro di sistema da postazione remota, utilizzare l'editor del Registro di sistema. Dopo aver aperto tale editor, è possibile esportare il Registro di sistema in un file di testo o in un file hive.

È possibile utilizzare un editor di testo, ad esempio il Blocco note, per gestire i file del Registro di sistema creati tramite esportazione.

I file del Registro di sistema possono essere salvati nel formato Windows, come file di registrazione, file hive binari o file di testo. I file del Registro di sistema vengono salvati con estensione reg, mentre i file di testo vengono salvati con estensione txt.

Esportare tutto o una parte del Registro di sistema

  1. Aprire l'editor del Registro di sistema. Se si desidera salvare solo un ramo specifico, selezionarlo.

  2. Scegliere Esporta… dal menu File.

  3. Nella casella Nome file immettere un nome per il file del Registro di sistema.

  4. In Salva come selezionare il tipo da utilizzare per il file salvato, ovvero file di registrazione, file hive del Registro di sistema, file di testo o file di registrazione Windows 98/NT4.0.

  5. In Intervallo di esportazione utilizzare i pulsanti di opzione per specificare se deve essere esportato l'intero Registro di sistema o solo il ramo selezionato.

  6. Fare clic su Salva.

Nell'editor del Registro di sistema sono disponibili diversi comandi specifici soprattutto per la manutenzione del sistema. Carica hive e Scarica hive ad esempio consentono di scaricare temporaneamente una parte del sistema in un altro computer per la manutenzione. Prima di poter caricare o ripristinare un hive, è necessario salvarlo come chiave su un disco floppy o sul disco rigido.

Importare file del Registro di sistema

Il comando Importa… dell'editor del Registro di sistema consente di importare file del Registro di sistema di tutti i tipi, inclusi file di testo e file hive.

Importare tutto o una parte del Registro di sistema

  1. Aprire l'editor del Registro di sistema.

  2. Scegliere Importa… dal menu File.

  3. Individuare il file che si desidera importare, fare clic su di esso per selezionarlo e quindi fare clic su Apri.
Nota

Se in Esplora risorse si fa doppio clic su un file con estensione reg, il file verrà importato automaticamente nel Registro di sistema del computer.

Attenzione

Un hive ripristinato sovrascrive una chiave esistente del Registro di sistema e diventa parte permanente della configurazione. Per eseguire ad esempio la manutenzione di parte del sistema, è possibile utilizzare Esporta… per salvare un hive su un disco. Quando si è pronti, è quindi possibile scegliere Importa… dal menu File per ripristinare nel sistema la chiave salvata.


Caricare o scaricare hive del Registro di sistema

Attenzione

Nota

Se si commette un errore che impedisce un corretto avvio del computer, sarà possibile ripristinare il Registro di sistema. Per istruzioni, vedere Ripristinare il Registro di sistema.

Caricare un hive del Registro di sistema

Per caricare o scaricare gli hive del Registro di sistema, utilizzare l'editor del Registro di sistema. I comandi Carica hive… e Scarica hive… hanno effetto esclusivamente sulle chiavi HKEY_USERS e HKEY_LOCAL_MACHINE e sono attivi solo quando queste chiavi predefinite sono selezionate.

Quando un hive viene caricato nel Registro di sistema, diventa una sottochiave di una di queste chiavi.

Per caricare un hive nel Registro di sistema

  1. Aprire l'editor del Registro di sistema.

  2. Fare clic sulla chiave HKEY_USERS o HKEY_LOCAL_MACHINE.

  3. Scegliere Carica hive… dal menu File.

  4. Individuare l'hive che si desidera caricare e fare clic su di esso.

  5. Fare clic su Apri.

  6. In Nome chiave digitare il nome che si desidera assegnare all'hive e quindi fare clic su OK.

Scaricare un hive del Registro di sistema

Per scaricare un hive del Registro di sistema

  1. Aprire l'editor del Registro di sistema.

  2. Selezionare un hive precedentemente caricato nel sistema.

  3. Scegliere Scarica hive… dal menu File.


Mantenere la sicurezza del Registro di sistema

Per informazioni sulle modalità di gestione della sicurezza del Registro di sistema, ad esempio l'assegnazione di autorizzazioni per le chiavi del Registro di sistema e il controllo dell'attività svolta su tali chiavi, vedere il sito Web relativo a Windows Server TechCenter all'indirizzo http://go.microsoft.com/fwlink/?LinkId=64071.


Stampare tutto o una parte del Registro di sistema

Attenzione

Per stampare tutto o una parte del Registro di sistema

  1. Aprire l'editor del Registro di sistema.

  2. Fare clic sulla chiave di computer o di primo livello dell'area del Registro di sistema che si desidera stampare.

  3. Scegliere Stampa… dal menu File.

  4. Eseguire una delle operazioni seguenti:

    • Fare clic su Tutto per stampare l'intero Registro di sistema.

    • Fare clic su Selezione e digitare un ramo specifico nella casella di testo per stampare solo quella parte del Registro di sistema.

  5. Fare clic su OK.
Nota

Per la stampa del Registro di sistema in media vengono generate anche centinaia di pagine. Valutare pertanto l'eventualità di stampare solo i rami necessari.


Risorse sul Registro di sistema

Per ulteriori informazioni sul Registro di sistema, inclusi i concetti a esso specifici e la relativa protezione, vedere il sito Web relativo a Windows Server TechCenter all'indirizzo http://go.microsoft.com/fwlink/?LinkID=53495.